<!DOCTYPE html>

<html lang="en">

<head>

<meta charset="UTF-8">

<title>LAB№2 </title>

<link rel="stylesheet" href="css/style.css">

<style>

.table {

padding: 10px;

}

</style>

</head>

<body>

<!-- HEADER-->

<div class="header">

<div class="header-item">

<div class="header-item-logo"> <img src="https://cdn.iconscout.com/icon/premium/png-256-thumb/web-interface-1724401-1465927.png" alt="logo"></div>

<div align="center" id="top">Web interface</div>

</div>

<div class="nav">

<nav class="nav-menu">

<a href="#top" title="Top" class="nav-item1"> К началу текущей страницы</a>

<a href="#bottom" title="Bottom" class="nav-item2">В конец страницы</a>

<a href="#form" title="Form" class="nav-item3">Пройдите авторизацию</a>

</nav>

</div>

</div>

<!-- CONTENT -->

<div class="content">

<ol>

<!-- 1 -->

<li><a href="http://example.com"> абсолютную гиперссылку на главную страницу сайта example.com</a> </li>

<br>

<!-- 2 -->

<li><a href="https://example.com"> абсолютную на главную сайта example.com в протоколе https </a></li>

<br>

<!-- 3 -->

<li><a href=" ftp://91.122.30.115/robots.txt ">ссылку на файл на сервере FTP без

авторизации</a></li>

<br>

<!-- 4 -->

<li><a href="ftp://user:pass123@ftp.elcat.kg"> ссылку на файл на сервере FTP с авторизацией</a></li>

<br>

<li>ссылку на фрагмент страницы некоторого сайта

<ol>

<li><a

href="https://img2.freepng.ru/20180411/cvq/kisspng-javascript-html-computer-software-web-browser-watermark-5acdbd54ac19f7.4484983215234327887049.jpg">Картинка</a>

</li>

<li><a href="https://ru.depositphotos.com/stock-photos/программист.html">На сайт с картинками</a>

</li>

</ol>

<br>

<!-- 6 -->

<!-- Для правильной проверки работы якорной ссылки требуется пролистать страницу вниз и нажать на соответсвующую ссыылку -->

<li><a href="#top"> ссылку на фрагмент текущей страницы (возврат к заголовку "Текущая страница")</a>

</li>

<br>

<!-- 7 -->

<li><a href="https://vk.com/sssssosat?like=like&subscribe=subscribe">ссылка с двумя параметрами URL</a>

</li>

<br>

<!-- 8 -->

<li>список ссылок основной навигации сайта с подписями title

<br>

<ol>

<li> <a href="#bottom" title="Bottom">В конец страницы</a></li>

<li><a href="#top" title="Top"> К началу текущей страницы</a></li>

<li><a href="#form" title="Form">Пройдите авторизацию</a></li>

</ol>

</li>

<br>

<!-- 9 -->

<li><a>ссылку без href</a></li>

<br>

<!-- 10 -->

<li><a href=""> ссылку с пустым href</a></li>

<br>

<!-- 11 -->

<li><a href="https://yandex.ru" rel="nofollow"> ссылку, по которой запрещен переход поисковикам</a>

</li>

<br>

<!-- 12 -->

<li>

<noindex>

<a href="https://yandex.ru">запрещенную для индексации поисковиками</a>

</noindex>

</li>

<br>

<!-- 13 -->

<li>контекстную в тексте абзаца

<br>

<p> Три витража, изготовленные по эскизам <a href="https://ru.wikipedia.org/wiki/Рихтер,_Герхард"> Герхарда Рихтера </a>

отныне украшают алтарные окна монастырской церкви в саарском Толае - самой старой действующей обители в Германии.</p>

</li>

<!-- 14 -->

<li>

<a

href="https://unsplash.com/photos/rQ9QfnEEmrQ">

<img alt=" ссылку-изображение">

</a>

</li> <br><br>

<!-- 15 -->

<li>

<p>1)Ссылка из прямоугольной области картинки</p>

<img src="https://www.press.lv/wp-content/uploads/2019/10/med_1473205220_image.jpg" alt="Леопольд"

usemap="#rect">

<map name="rect">

<area shape="rect" coords="100,100,50,50" href="https://www.youtube.com/" alt="собака-ссылка"

target="_blank">

</map>

<p>2)Ссылка из круглой области картинки</p>

<img src="https://www.press.lv/wp-content/uploads/2019/10/med_1473205220_image.jpg" alt="Леопольд"

usemap="#circle">

<map name="circle">

<area shape="circle" coords="100,100,50" href="https://www.youtube.com/" alt="котик-ссылка"

target="_blank">

</map>

</li>

<br>

<!-- 16 -->

<li><a href="./about"> относительную на страницу в текущем каталоге</a></li>

<br>

<!-- 17 -->

<li><a href="about/about">относительную на страницу в каталоге about</a></li>

<br>

<!-- 18 -->

<li><a href="../about"> относительную на страницу в каталоге уровнем выше текущего</a></li>

<br>

<!-- 19 -->

<li><a href="../../about"> относительную на страницу в каталоге двумя уровнями выше</a></li>

<br>

<!-- 20 -->

<li><a href="about"> сокращенную на главную</a></li>

<br>

<!-- 21 -->

<li><a href="/about/about"> сокращенную ссылку на внутреннюю</a></li>

<br>

</ol>

<div class="table">

<table bordercolor="black" border="3" width="50%">

<!-- cтрока 1 -->

<tr align="center">

<td>столбец</td>

<td>столбец</td>

<td>столбец</td>

</tr>

<!-- cтрока 2 -->

<tr align="center">

<td colspan="2">ячейка</td>

<td>ячейка</td>

</tr>

<!-- cтрока 3 -->

<tr align="center">

<td>ячейка</td>

<td>ячейка</td>

<td rowspan="3">ячейка</td>

</tr>

<!-- cтрока 4 -->

<tr align="center">

<td>ячейка</td>

<td>ячейка</td>

</tr>

<!-- cтрока 5 -->

<tr align="center">

<td>ячейка</td>

<td>ячейка</td>

</tr>

</table>

</div>

<!-- FORMA -->

<nav class="block" style="padding:10px;">

<form action="https://www.example.com/" method="POST">

<h3 id="form">Пройдите авторизацию:</h3>

<label>Введите имя: <br>

<input type="text" placeholder="testname" name="name">

</label>

<br>

<br>

<label>Введите eMail: <br>

<input type="email" placeholder="test@example.com" name="email">

</label>

<br>

<br>

<label>Введите дату рождения: <br>

<input type="date" max="2020-09-03" min="2000-01-01" name="date">

</label>

<br>

<!-- Второй вариант календаря -->

<hr>

<label>Введите год рождения: <br>

<!-- select-раскрывающийся список с вариантами option -->

<select id="">

<option value="1999" name="date">1999</option>

<option value="2000" name="date">2000</option>

<option value="2001" name="date">2001</option>

<option value="2002" name="date">2002</option>

</select>

</label>

<br>

<br>

<label>Выберите пол: <br>

<input type="radio" name="Sex" value="Male">Муж

<input type="radio" name="Sex" value="Female">Жен

</label>

<br>

<br>

<label>Выберите количество конечностей <br>

<input type="radio" name="kol" value="3">3

<input type="radio" name="kol" value="4">4

<input type="radio" name="kol" value="2,5">2,5

</label>

<br>

<br>

<label>Выберите сверхспособность:<br>

<select multiple="multiple" name="superpowers">

<!-- size="value"-задает размер списка в ручную,multiple-задает размер списка автоматически -->

<option value="1">Бессмертие</option>

<option value="2">Прохождение сковзь стены</option>

<option value="3">Левитация</option>

</select>

</label>

<br>

<br>

<label>Биография: <br>

<!-- текстовое поле -->

<textarea name="biography" id="" cols="20" rows="3" placeholder="Расскажите о себе"></textarea>

</label>

<br>

<br>

<label>С контрактом ознакомлен <br>

<input class="right" type="checkbox" name="contract" id="">

</label>

<br>

<br>

<input type="submit" name="button" value="Отправить ">

</form>

</nav>

</div>

<!-- FOOTER -->

<div class="footer">

<footer id="bottom">

<div class="footer-text"> (c) Ilichenko A.V. 2020. </div>

</footer>

</div>

</body>

</html>










<html>

<style type="text/css">

* {

margin: 0;

padding: 0;

}

/* *************************** */

/* *************************** */

body {

background-color: rgb(255,255,240);

font-family: "Source Sans Pro", sans-serif;

width: 100%;

}

/* *************************** */

/* <HEADER> */

.header {

width: 100%;

background-color: #E0FFFF;

padding: 10px;

}

#top {

text-transform: uppercase;

letter-spacing: 10px;

color: rgba(128, 128, 128, 0.701);

padding: 0 0 0 10px;

}

.header-item {

display: flex;

align-items: center;

}

.header-item-logo img {

border-radius: 50%;

}

/* </HEADER> */

/* *************************** */

/* <MENU> */

.nav {

margin: 30px 0 50px 0;

}

.nav-menu {

display: flex;

align-items: center;

justify-content: space-between;

background-color: rgba(128, 128, 128, 0.701);

}

.nav-menu a {

text-decoration: none;

font-size: 16px;

color: black;

}

/* </MENU> */

/* *************************** */

/* <FOOTER> */

.footer {

background-color: #E0FFFF;

padding: 50px 0 50px 0;

color: #000;

}

.footer-text {

text-align: center;

color: black;

background-color: rgba(128, 128, 128, 0.701);

}

/* </FOOTER> */

ol {

list-style: none;

counter-reset: li;

}

li {

padding: 0 0 0 10px;

margin-bottom: 10px;

}

li:before {

counter-increment: li;

content: counters(li, ".") ")";

}

</style>

</html>